GyotoPhoton.h File Reference

A single light ray. More...

`#include "GyotoFunctors.h"`
`#include <GyotoDefs.h>`
`#include <GyotoMetric.h>`
`#include <GyotoScreen.h>`
`#include <GyotoWorldline.h>`
`#include <GyotoObject.h>`
`#include <float.h>`
`#include <eigen3/Eigen/Dense>`

Go to the source code of this file.

## Classes

class | Gyoto::Photon
| A null geodesic transporting light. More...
class | Gyoto::Photon::Refined
| Refine last step of integration in a Photon. More...

## Namespaces

namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Astrobj
| Access to astronomical objects.

## Detailed Description

A single light ray.

Gyoto::Photon is a class for ray-tracing.